# List channel publication schedules

Retrieves a paginated list of schedules for a product channel publication.

Endpoint: GET /v1/products/{productUuid}/publications/{publicationUuid}/schedules
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `productUuid` (string, required)
    The unique identifier of the product.

  - `publicationUuid` (string, required)
    The unique identifier of the product channel publication.

## Query parameters:

  - `uuids[eq]` (array)

  - `transition[eq]` (string)

  - `status[eq]` (string)

  - `scheduledAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `scheduledAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `scheduledAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `scheduledAt[order]` (string)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this schedule.

  - `items.productUuid` (string, required)
    Identifier of the product this schedule belongs to.

  - `items.productChannelPublicationUuid` (string, required)
    Identifier of the channel publication this schedule targets.

  - `items.createdAt` (string, required)
    Timestamp when this schedule was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when this schedule was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.scheduledAt` (string, required)
    The date and time when the transition is scheduled to execute.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.transition` (string, required)
    The lifecycle transition that will be applied.
    Enum: "publish", "unpublish"

  - `items.status` (string, required)
    Current status of this schedule.
    Enum: "pending", "completed", "cancelled", "failed"

  - `items.failedReason` (string,null, required)
    Reason for failure if the schedule did not complete successfully. Null if not failed.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


